CREATE procedure [C6StagingPeriodico].[CopiaTabelleDiReplica_20190129]
AS
set nocount on
 begin try
		insert into LOG_ESECUZIONE_periodico values (
				   'CopiaTabelleDiReplica',
				   GETDATE(),
				   null,
				   'Copia',
				   null,'Elaborazione trimestrale')
		declare @KO int
		set @KO = 0
		declare @err varchar(500)
		set @err = ''
		declare @query nvarchar(max)
		declare @today datetime
		declare @sToday varchar(10)
		declare @res table (tablename varchar(100))
		--SET FMTONLY ON
		set @today = getdate()
		set @sToday = convert(varchar(4), datepart(yyyy, @today)) + right('0' + convert(varchar(2), datepart(mm, @today)), 2) + right('0' + convert(varchar(2), datepart(dd, @today)), 2)
		------------------------------------ TANAB
		set @query = 'select * into C6Stagingperiodico.TANAB_' + @sToday + '_preUpdate from C6Stagingperiodico.TANAB'
		insert @res
		exec sys.sp_executesql @query
		------------------------------------ WSEIAN
		set @query = 'select * into C6Stagingperiodico.WSEIAN_' + @sToday + '_preUpdate from C6Stagingperiodico.WSEIAN'
		insert @res
		exec sys.sp_executesql @query
		-----------------------------------
		UPDATE
			LOG_ESECUZIONE_periodico
		SET
			Fine = GETDATE(),
			Tipo = 'INSERT',
			Righe = @@ROWCOUNT
		WHERE
			Nome = 'CopiaTabelleDiReplica' AND
			Inizio = (
				SELECT
					MAX(Inizio)
				FROM
					LOG_ESECUZIONE_periodico
				WHERE
					Nome = 'CopiaTabelleDiReplica'
			)
		end try
		begin catch
			set @KO = 1
			set @err = ERROR_MESSAGE()
			 RAISERROR (50000,-1,-1, 'Lancio Trimestrale - Errore C6MartPeriodico.CopiaTabelleDiReplica');
			return
		end catch